Skip to main content
Data Integration

Get adapter data

Get the records stored in the table(s) associated with a data adapter.

GET
/api/v1/dataingestion/getdata
Authorizationstringheaderrequired

Access token from POST /api/v1/auth/login

namestringquery

Conditionally required. Adapter name (If 'id' is specified, name is not required)

Example: sample_adapter
idintegerquery

Conditionally required. Adapter id (If 'name' is specified, id is not required)

Example: 1
updated_afterstringquery

Only include data rows updated after a date

Example: 2023-03-01
updated_beforestringquery

Only include data rows updated before a date

Example: 2023-03-10
pageintegerquery

page of results to select

Example: 1

Response

200application/json

Success (schema inferred from live response captured 2026-10-07)

adapter_idstring
adapter_namestring
pageinteger
page_sizeinteger
tablesobject[]